Get Screen Display
Public endpoint used by the venue’s TV display application to fetch the current screen state and questions using a session token.
Endpoint
Section titled “Endpoint”POST
/tv/v1/screen/displayRequest Body
Section titled “Request Body”curl -X POST https://api.juspredict.com/tv/v1/screen/display \-H 'Authorization: Bearer YOUR_TOKEN' \-H 'Content-Type: application/json' \-d '{"session_token": "token-abc"}'{"session_token": "token-abc"}Response Body
Section titled “Response Body”{"status": { "type": "SUCCESS" },"screen": { "screen_name": "Main Wall" },"event": { "event_name": "Match X vs Y" }}{"status": {"type": "ERROR","details": [ { "code": "401", "message": "Unauthorized access token." }]}}Response Fields
Section titled “Response Fields”| Field | Type | Description |
|---|---|---|
status | Status | Operation status. |